Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		libxfce4menu
Version:	4.6.2
Release:	1
License:	GNU/GPL v2
URL:		http://www.xfce.org
Group:		Graphical Desktop/Xfce/Base
Summary:	A freedesktop.org compliant menu implementation for Xfce
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

BuildRequires: gtk2+-devel
BuildRequires: libxcb-devel
BuildRequires: xcb-util-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: libxfce4util-devel
BuildRequires: pkg-config

%description
libxfce4menu is a freedesktop.org compliant menu library written for Xfce.
It implements the Desktop Menu Specification version 1.0.

%package	devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description	devel
Header files for the %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -qn %{name}-%{version}

%build
%configure --sysconfdir=%_sysconfdir/xfce --disable-gtk-doc
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_libdir}/libxfce4menu-0.1.so.*
%{_locale}/*/LC_MESSAGES/libxfce4menu-0.1.mo

%files devel
%defattr(-,root,root)
%{_includedir}/xfce4/libxfce4menu-0.1/libxfce4menu
%{_libdir}/libxfce4menu-0.1.a
%{_libdir}/libxfce4menu-0.1.la
%{_libdir}/libxfce4menu-0.1.so
%{_pkgconfig}/libxfce4menu-0.1.pc
%{_datadir}/gtk-doc/html/libxfce4menu

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon May 24 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.6.2-1
- Version Update
* Sun Sep 13 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.6.1-1
- Version Update
* Sat Mar 14 2009 Christian Wasem <wasem@ccux-linux.de> 4.6.0-1
- Version update
* Sun Feb 15 2009 Christian Wasem <wasem@ccux-linux.de> 4menu-4.5.92-1
- initial CCux package release
